File: changelog

package info (click to toggle)
lsyncd 2.2.3-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 484 kB
  • sloc: ansic: 2,640; sh: 81; makefile: 11
file content (221 lines) | stat: -rw-r--r-- 7,859 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
lsyncd (2.2.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Jan Dittberner ]
  * New upstream version (Closes: #862747)
  * Refresh debian/patches/out-of-tree-manpage-build.patch
  * Update lua dependencies to lua 5.3
  * Fix paths in debian/lsyncd.docs
  * Add DEB_BUILD_MAINT_OPTIONS = hardening=+all to debian/rules to
    improve hardening
  * debian/control: bump Standards-Version to 4.3.0 (no changes)
  * Update debian/copyright
  * debian/control: Update to debhelper >= 10, use compat level 10 in
    debian/compat

 -- Jan Dittberner <jandd@debian.org>  Mon, 31 Dec 2018 13:25:54 +0100

lsyncd (2.1.6-1) unstable; urgency=medium

  * New upstream release
  * Fix "attempt to call local 'path2' (a string value) with
    default.rsyncssh target" (Closes: #801761)
  * drop debian/patches/fix-CVE-2014-8990-shell-escapes.patch included
    in upstream release
  * remove debian/patches/dont_install_lua_as_docs.patch, upstream
    switched to cmake
  * remove automake and autotools-dev from Build-Depends, add cmake
  * remove autotools specific rules from debian/rules
  * Bump debian/compat and debhelper Build-Depends to 9
  * Replace obsolete Google code URL with new Github URL
  * switch debian/copyright to 1.0 format
  * Bump Standards-Version to 3.9.8 (no changes)
  * add debian/patches/out-of-tree-manpage-build.patch to support
    building the man page outside of the source tree
  * Add Depends lsb-base (>= 3.0-6) needed by init script
  * Add Depends libxml2-utils needed by asciidoc build for manpage

 -- Jan Dittberner <jandd@debian.org>  Sun, 18 Dec 2016 20:21:28 +0100

lsyncd (2.1.5-2) unstable; urgency=high

  * fix security issue CVE-2014-8990 that allows code execution via shell
    characters in file names and denial of service scenarios by applying
    debian/patches/fix-CVE-2014-8990-shell-escapes.patch (Closes: #767227)

 -- Jan Dittberner <jandd@debian.org>  Mon, 29 Dec 2014 11:36:43 +0100

lsyncd (2.1.5-1) unstable; urgency=low

  * New upstream version (Closes: #707328).
  * refresh debian/patches/dont_install_lua_as_docs.patch
  * debian/control:
    - change Homepage to github page
    - switch to canonical Vcs-* URLs
    - bump Standards-Version to 3.9.4 (no changes)
  * debian/rules:
    - add --add-missing to automake invocation to add missing test-driver and
      remove test-driver in clean target (Closes: #713793)
  * debian/lsyncd.init:
    - don't source /lib/init/vars.sh and don't use $VERBOSE, don't use
      --make-pidfile
    - add --nicelevel to lsyncd invocation

 -- Jan Dittberner <jandd@debian.org>  Sat, 22 Jun 2013 23:14:59 +0200

lsyncd (2.0.7-3) unstable; urgency=low

  * fix breakage introduced when trying to fix #673387, PIDFILE was not
    defined before DAEMON_ARGS in debian/lsyncd.init

 -- Jan Dittberner <jandd@debian.org>  Sat, 19 May 2012 00:50:59 +0200

lsyncd (2.0.7-2) unstable; urgency=low

  * fix lsyncd init script stores the wrong PID in /var/run/lsyncd.pid so
    cannot stop it by adding -pidfile option to debian/lsyncd.init's
    DAEMON_ARGS (Closes: #673387)
  * debian/rules: fix FTBFS twice in a row
    - override_dh_clean instead of clean
    - remove generated configure
  * enable hardening build flags
    - add dpkg-dev (>= 1.16.1~) to Build-Depends
    - add DPKG_EXPORT_BUILDFLAGS=1 and include
      /usr/share/dpkg/buildflags.mk in debian/rules

 -- Jan Dittberner <jandd@debian.org>  Fri, 18 May 2012 12:23:25 +0200

lsyncd (2.0.7-1) unstable; urgency=low

  * New upstream version
  * refresh debian/patches/dont_install_lua_as_docs.patch
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Jan Dittberner <jandd@debian.org>  Wed, 04 Apr 2012 14:17:30 +0200

lsyncd (2.0.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - add autotools-dev to Build-Depends (fixes Lintian
      error "missing-build-dependency-for-dh-addon")
    - bump Standards-Version to 3.9.2 (no changes needed)
  * refresh debian/patches/dont_install_lua_as_docs.patch
  * update debian/copyright format
  * add status command to debian/lsyncd.init (fixes Lintian complaint
    "init.d-script-does-not-implement-optional-option")

 -- Jan Dittberner <jandd@debian.org>  Thu, 12 Jan 2012 00:57:21 +0100

lsyncd (2.0.4-1) unstable; urgency=low

  * New upstream version
  * remove debian/patches/fix_spelling_errors.patch that has been
    applied upstream

 -- Jan Dittberner <jandd@debian.org>  Sun, 27 Mar 2011 11:06:53 +0200

lsyncd (2.0.3-1) unstable; urgency=low

  * New upstream version.
  * refresh patches

 -- Jan Dittberner <jandd@debian.org>  Fri, 25 Feb 2011 19:31:54 +0100

lsyncd (2.0.2-3) unstable; urgency=low

  * Add debian/lsyncd.init (Closes: #614391) thanks to Ignace Mouzannar for the
    base script
  * add documentation on how to use the init script in
    debian/README.Debian
  * add debian/patches/dont_install_lua_as_docs.patch to not install lua
    scripts to the documentation dir (they are installed as examples by
    debian/rules)

 -- Jan Dittberner <jandd@debian.org>  Tue, 22 Feb 2011 21:33:55 +0100

lsyncd (2.0.2-2) unstable; urgency=low

  * Upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 11:33:59 +0100

lsyncd (2.0.2-1) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/fix_spelling_errors.patch
    b/debian/patches/fix_spelling_errors.patch

 -- Jan Dittberner <jandd@debian.org>  Fri, 21 Jan 2011 19:53:55 +0100

lsyncd (2.0.0-1) experimental; urgency=low

  * New upstream version.
  * debian/control:
    - add liblua5.1-0-dev, lua5.1, pkg-config, asciidoc, xsltproc, docbook-xml
      and docbook-xsl to Build-Depends
    - add lua5.1 to Depends
  * add --with autotools_dev to debian/rules
  * update debian/lsyncd.docs (all documentation previously mentioned there got
    removed, added doc/lsyncd.1.txt instead)
  * update debian/lsyncd.examples to include the examples directory
  * replace debian/patches/0001-fix-spelling-error.patch with
    debian/patches/fix_spelling_errors.patch to fix spelling errors

 -- Jan Dittberner <jandd@debian.org>  Tue, 21 Dec 2010 15:08:31 +0100

lsyncd (1.39-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sat, 09 Oct 2010 21:28:28 +0200

lsyncd (1.38-1) experimental; urgency=low

  * New upstream version.
  * change debian/watch to remove the need for the Google code
    redirector

 -- Jan Dittberner <jandd@debian.org>  Thu, 02 Sep 2010 19:51:08 +0200

lsyncd (1.37-1) experimental; urgency=low

  * New upstream version.
  * debian/control:
    - bump Standards-Version to 3.9.1
    - change debhelper build dependency to 7.0.50~
  * add debian/patches/0001-fix-spelling-error.patch and
    debian/patches/series to fix spelling errors in manual pages

 -- Jan Dittberner <jandd@debian.org>  Tue, 17 Aug 2010 11:19:22 +0200

lsyncd (1.34-1) unstable; urgency=low

  * New upstream version.
  * remove
    debian/patches/01-fix-spelling-error-in-lsyncd.conf.xml-manpage.patch,
    debian/patches/02-fix-lsyncd.conf.xml-manpage-location.patch and
    debian/patches/series all patches have been applied upstream
  * debian/control: Bump Standards-Version to 3.9.0 (no changes
    necessary)

 -- Jan Dittberner <jandd@debian.org>  Sun, 11 Jul 2010 23:22:25 +0200

lsyncd (1.33-1) unstable; urgency=low

  * New upstream version.
  * updated debian/watch to use googlecode redirector
  * refresh debian/patches/01-fix-spelling-error-in-lsyncd.conf.xml-
    manpage.patch
  * run autoreconf in debian/rules

 -- Jan Dittberner <jandd@debian.org>  Sat, 05 Jun 2010 10:59:19 +0200

lsyncd (1.26-1) unstable; urgency=low

  * Initial release. (Closes: #570296)

 -- Jan Dittberner <jandd@debian.org>  Sat, 20 Feb 2010 15:04:05 +0100